Sun, 16 Jan 2022 21:17:58 UTC

Information for RPM libabigail-1.4-2.el8.src.rpm

ID6151
Namelibabigail
Version1.4
Release2.el8
Epoch
Archsrc
SummarySet of ABI analysis tools
DescriptionThe libabigail package comprises six command line utilities: abidiff, kmidiff, abipkgdiff, abicompat, abidw, and abilint The abidiff command line tool compares the ABI of two ELF shared libraries and emits meaningful textual reports about changes impacting exported functions, variables and their types. Simarly, the kmidiff compares the kernel module interface of two Linux kernels. abipkgdiff compares the ABIs of ELF binaries contained in two packages. abicompat checks if a subsequent version of a shared library is still compatible with an application that is linked against it. abidw emits an XML representation of the ABI of a given ELF shared library. abilint checks that a given XML representation of the ABI of a shared library is correct. Install libabigail if you need to compare the ABI of ELF shared libraries.
Build Time2019-06-02 18:47:00 GMT
Size149325491
ebd6e3839f322474e1349cb7cc2556d3
LicenseLGPLv3+
Buildrootdist-c8-build-3306-665
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
/usr/bin/python3
dos2unix
doxygen
elfutils-devel
gcc-c++
libtool
libxml2-devel
python3-sphinx
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
texinfo
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 3 of 3
Name ascending sort Size
enable-python-when-no-fedabipkgdiff-is-defined.patch.txt10476
libabigail-1.4.tar.gz150377548
libabigail.spec14121
Component of No Buildroots